from casioplot import clear_screen, show_screen, set_pixel

colors = [(0, 0, 0), (255, 255, 255)]

def draw():
    global data
    for frame in data:
        l = len(frame)
        i = 0
        y = 0
        while i < l:
            if frame[i] >= 128:
                y += 2*(frame[i]-128)
                i += 1

            x1 = frame[i]
            x2 = frame[i+1] & 127
            c = colors[frame[i+1] >> 7]
            i += 2

            for x in range(2*x1, 2*x2+1, 2):
                set_pixel(x, y, c)
                set_pixel(x+1, y, c)
                set_pixel(x, y+1, c)
                set_pixel(x+1, y+1, c)
        show_screen()
    del data

clear_screen()
from ba.d1 import data
draw()
from ba.d38 import data
draw()
from ba.d57 import data
draw()
from ba.d76 import data
draw()
from ba.d103 import data
draw()
from ba.d123 import data
draw()
from ba.d165 import data
draw()
from ba.d186 import data
draw()
from ba.d236 import data
draw()
from ba.d266 import data
draw()
from ba.d304 import data
draw()
from ba.d328 import data
draw()
from ba.d349 import data
draw()
from ba.d370 import data
draw()
from ba.d389 import data
draw()
from ba.d408 import data
draw()
from ba.d438 import data
draw()
from ba.d475 import data
draw()
from ba.d500 import data
draw()
from ba.d517 import data
draw()
from ba.d529 import data
draw()
from ba.d543 import data
draw()
from ba.d561 import data
draw()
from ba.d572 import data
draw()
from ba.d581 import data
draw()
from ba.d604 import data
draw()
from ba.d619 import data
draw()
from ba.d632 import data
draw()
from ba.d642 import data
draw()
from ba.d662 import data
draw()
from ba.d682 import data
draw()
from ba.d706 import data
draw()
from ba.d741 import data
draw()
from ba.d757 import data
draw()
from ba.d774 import data
draw()
from ba.d807 import data
draw()
from ba.d830 import data
draw()
from ba.d855 import data
draw()
from ba.d896 import data
draw()
from ba.d914 import data
draw()
from ba.d947 import data
draw()
from ba.d959 import data
draw()
from ba.d975 import data
draw()
from ba.d988 import data
draw()
